DRIVER_NAME="MODUS3_X"
PRINTER_NAME="MODUS3_X"
PRINTER_SN="MODUS3_X_PRN_NUM.:_0"
PRINTER_IP="192.168.0.1"

echo "Executing the installer script"
echo 'sudo ./'${DRIVER_NAME}'_CUPSDrv.sh'
echo ''
sudo ./${DRIVER_NAME}_CUPSDrv.sh

echo "Verifying the existance of the files after installation"
echo 'ls -l /usr/share/cups/model/CUSTOM/'${DRIVER_NAME}'.ppd.gz'
ls -l /usr/share/cups/model/CUSTOM/${DRIVER_NAME}.ppd.gz
echo 'ls -l /usr/lib/cups/filter/rasterto'${DRIVER_NAME}
ls -l /usr/lib/cups/filter/rasterto${DRIVER_NAME}
echo ''

echo "Installing the ethernet/WiFi printer"
echo 'sudo lpadmin -p '${PRINTER_NAME}' -E -v "socket://"'${PRINTER_IP}'"/?serial="'${PRINTER_SN}' -P /usr/share/cups/model/CUSTOM/'${DRIVER_NAME}'.ppd.gz'
echo ''
sudo lpadmin -p ${PRINTER_NAME} -E -v "socket://"${PRINTER_IP}"/?serial="${PRINTER_SN} -P /usr/share/cups/model/CUSTOM/${DRIVER_NAME}.ppd.gz