DRIVER_NAME="MODUS3_X"
PRINTER_NAME="MODUS3_X"
SERIAL_PORT="ttyUSB0"
SERIAL_SETTINGS="baud=115200+bits=8+parity=none+flow=none"

echo "Executing the installer script"
echo 'sudo ./'${DRIVER_NAME}'_CUPSDrv.sh'
echo ''
sudo ./${DRIVER_NAME}_CUPSDrv.sh

echo "Verifying the existance of the files after installation"
echo 'ls -l /usr/share/cups/model/CUSTOM/'${DRIVER_NAME}'.ppd.gz'
ls -l /usr/share/cups/model/CUSTOM/${DRIVER_NAME}.ppd.gz
echo 'ls -l /usr/lib/cups/filter/rasterto'${DRIVER_NAME}
ls -l /usr/lib/cups/filter/rasterto${DRIVER_NAME}
echo ''


echo "Installing the serial printer"
echo 'sudo lpadmin -p '${PRINTER_NAME}' -E -v "serial:/dev/"'${SERIAL_PORT}'"?"'${SERIAL_SETTINGS}' -P /usr/share/cups/model/CUSTOM/'${DRIVER_NAME}'.ppd.gz'
echo ''
sudo lpadmin -p ${PRINTER_NAME} -E -v "serial:/dev/"${SERIAL_PORT}"?"${SERIAL_SETTINGS} -P /usr/share/cups/model/CUSTOM/${DRIVER_NAME}.ppd.gz
